%global octpkg parallel

Name:           octave-%{octpkg}
Version:        2.2.0
Release:        3%{?dist}
Summary:        Parallel execution package for cluster computers for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/parallel/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# avoid stripping binaries to get useful debuginfo packages
# fedora specific - not upstreamed
Patch0:         %{name}-nostrip.patch

BuildRequires:  octave-devel
BuildRequires:  tex(latex)
BuildRequires:  tex(dsfont.sty)
BuildRequires:  ghostscript

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


%description
Parallel execution package for cluster computers.

%prep
%setup -q -n %{octpkg}-%{version}
%patch0 -p0 -b .nostrip

%build
%octave_pkg_build

%install
%octave_pkg_install
chmod a-x %{buildroot}/%{octpkgdir}/*.m
rm -rf  %{buildroot}/%{octpkgdir}/doc

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/private/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{octpkglibdir}

%doc doc/README doc/README.bw doc/README.parallel

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.2.0-1
- update to 2.2.0

* Thu Jan 09 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.1.1-3
- remove GFDL license as no files are licensed that way

* Thu Jan 09 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.1.1-2
- update according to reviewer comments

* Thu Jan 09 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.1.1-1
- initial package for Fedora
